﻿using System;

namespace TestProject
{
    /// <summary>
    /// 프로그램
    /// </summary>
    class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 프로그램 시작하기 - Main()

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        private static void Main()
        {
            string description = GetDescription(new SampleData { X = 60, Y = 40 });

            Console.WriteLine(description);
        }

        #endregion

        #region 설명 구하기 - GetDescription(sampleData)

        /// <summary>
        /// 설명 구하기
        /// </summary>
        /// <param name="sampleData">샘플 데이터</param>
        /// <returns>설명</returns>
        private static string GetDescription(SampleData sampleData) => (sampleData.X, sampleData.Y) switch
        {
            var (x, y) when x >= 50 && y >= 50 => "우상단",
            var (x, y) when x >= 50 && y <  50 => "우하단",
            var (x, y) when x <  50 && y >= 50 => "좌상단",
            var (x, y) when x <  50 && y <  50 => "좌하단",
            var (_, _)                         => ""
        };

        #endregion
    }
}